Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ua
Class DSTU4145BinaryField

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ua.DSTU4145BinaryField

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class DSTU4145BinaryField
extends ASN1Object

Constructor Summary
`DSTU4145BinaryField(int m, int k)`
`DSTU4145BinaryField(int m, int k1, int k2, int k3)`

Method Summary
`static DSTU4145BinaryField` | `getInstance(java.lang.Object obj)`
`int` | `getK1()`
`int` | `getK2()`
`int` | `getK3()`
`int` | `getM()`
`ASN1Primitive` | `toASN1Primitive()` BinaryField ::= SEQUENCE { M INTEGER, CHOICE {Trinomial, Pentanomial} Trinomial::= INTEGER Pentanomial::= SEQUENCE { k INTEGER, j INTEGER, l INTEGER}

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSTU4145BinaryField

    public DSTU4145BinaryField(int m,
                               int k1,
                               int k2,
                               int k3)

### DSTU4145BinaryField

    public DSTU4145BinaryField(int m,
                               int k)

Method Detail

### getInstance

    public static DSTU4145BinaryField getInstance(java.lang.Object obj)

### getM

    public int getM()

### getK1

    public int getK1()

### getK2

    public int getK2()

### getK3

    public int getK3()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  BinaryField ::= SEQUENCE { M INTEGER, CHOICE {Trinomial, Pentanomial} Trinomial::= INTEGER Pentanomial::= SEQUENCE { k INTEGER, j INTEGER, l INTEGER}

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD